using Newtonsoft.Json;
using static Client;


public class Packets
{
    public static string GenerateCPacket(string id)
    {

        Packet packet = new Packet();
        packet.t = "c";
        packet.r = new R();
        packet.r.id = id;
        return JsonConvert.SerializeObject(packet);
    }
    public static string GenerateMapPacket(string[] map)
    {
        Packet packet = new Packet();
        packet.t = "map";
        packet.r = new R();
        packet.r.map = map;
        return JsonConvert.SerializeObject(packet);
    }
    public static string GenerateMPacket(string id, bool show, string message)
    {
        Packet packet = new Packet();
        packet.t = "m";
        packet.r = new R();
        packet.r.id = id;
        packet.r.show = show;
        packet.r.m = message;
        return JsonConvert.SerializeObject(packet);
    }
    public static string GenerateTexPacket()
    {
        Packet packet = new Packet();
        packet.t = "tex";
        packet.r = new R();
        string[] cars = { "marioood", "dottych", "faithful" };
        packet.r.texs = cars;
        return JsonConvert.SerializeObject(packet);
    }
    public static string GenerateLPacket(List<Ball> balls)
    {
        Packet packet = new Packet();
        packet.t = "l";
        packet.r = new R();
        packet.r.balls = balls;

        return JsonConvert.SerializeObject(packet);
    }
    public static string GenerateBmPacket(string id, int x, int y)
    {
        Packet packet = new Packet();
        packet.t = "bm";
        packet.r = new R();
        packet.r.id = id;
        packet.r.x = x;
        packet.r.y = y;
        return JsonConvert.SerializeObject(packet);
    }
    public static string GenerateBnPacket(string id, string name)
    {
        Packet packet = new Packet();
        packet.t = "bn";
        packet.r = new R();
        packet.r.id = id;
        packet.r.name = name;
        return JsonConvert.SerializeObject(packet);
    }
    public static string GenerateBcoPacket(string id, string cosmetic)
    {
        Packet packet = new Packet();
        packet.t = "bco";
        packet.r = new R();
        packet.r.id = id;
        packet.r.cosmetic = cosmetic;
        return JsonConvert.SerializeObject(packet);
    }
}