﻿using System.Net;
using WebSocketSharp.Server;

namespace Kopa
{


    class Program
    {
        public static List<Client.Ball> balls = new List<Client.Ball>();
        public static List<IPEndPoint> iPEndPoints = new List<IPEndPoint>();
        public static List<Client> connectedClients = new List<Client>();
        static void Main(string[] args)
        {


            var wssv = new WebSocketServer(9933); // Set the port number you want to listen on
            wssv.AddWebSocketService<Client>("/server"); // Define the WebSocket endpoint

            wssv.Start();

            Console.WriteLine("WebSocket server started on port 9933.");
            Console.WriteLine("Press Enter to exit.");
            Console.ReadLine();

            wssv.Stop();
        }
        public static void NewBall(Client.Ball ball, IPEndPoint iPEndPoint)
        {
            balls.Add(ball);
            iPEndPoints.Add(iPEndPoint);
            for (int i = 0; i < balls.Count; i++)
            {
                Console.WriteLine("Ball connected :" + balls[i].id);
            }
        }
        public static void BallDisconnect(Client.Ball ball, IPEndPoint iPEndPoint)
        {
            balls.Remove(ball);
            iPEndPoints.Remove(iPEndPoint);
            for (int i = 0; i < balls.Count; i++)
            {
                Console.WriteLine("Ball Disconnected :" + balls[i].id);
            }
        }
        public static void SendToAllBalls(string message)
        {
            foreach (var client in connectedClients)
            {
                try
                {
                    if (!client.isOpen)
                    {
                        balls.Remove(client.ball);
                        iPEndPoints.Remove(client.Context.UserEndPoint);
                        connectedClients.Remove(client);
                        return;
                    }
                    client.SendData(message);
                }
                catch (Exception ex)
                {
                    Console.WriteLine(ex.Data);
                }
            }
        }
    }

}